--[[
神兽保佑！菩萨包邮！佛祖包邮！真主阿拉包邮！代码无BUG！！！
创建作者：Administrator
创建时间：2015年1月23日21时18分8秒
感谢使用：更鸟游戏
]]
------------------------------------------
function 系统配置(t)
    t.title = "回合制横板战斗 20150122"				-- 文本型	窗口标题
    t.window.width = 640			-- 数值型	宽度
    t.window.height = 480			-- 数值型	高度
    t.window.msaa = 0					-- 数值型	抗锯齿数
    t.window.vsync =			true		-- 逻辑型	垂直同步
    t.window.borderless = false		-- 逻辑型	无边框
    t.window.resizable =	false		-- 逻辑型	可调节大小
    t.window.highdpi =		false		-- 逻辑型	高清模式显示，土豪专用
    t.window.srgb =				true		-- 逻辑型	伽马修正
    t.window.fullscreen =	false		-- 逻辑型	全屏
    t.window.fullscreentype = "exclusive"	-- 文本型	全屏显示模式
		
    t.modules.joystick = 	false		-- 逻辑型	手柄
    t.modules.audio =			false		-- 逻辑型	音频
    t.modules.sound =			false		-- 逻辑型	声音流
    t.modules.physics =		false		-- 逻辑型	物理引擎
    t.modules.thread =		false		-- 逻辑型	线程系统
end
-----------头部可以intro，变量等----------

------------------------------------------
function 引擎创建()
	--置资源目录(取游戏路径())  --设置游戏目录，必有该语句！
	置资源目录(取调试目录().."Example/Win32/GameRes")
	--因为例程演示需要，设置演示资源目录，编译时务必手动更改游戏目录
	置字体(创建字体("Verdana.ttf", 14))
	游戏素材图片 = 创建图像("游戏资源.png")
	
	背景精灵 = 精灵:new(游戏素材图片,1441,170,640,480)
	怪物精灵 =	精灵:new(游戏素材图片,710,155,100,96)
	
	水纹动画 = 动画:new(游戏素材图片,0,1050,400,120,0.2,5)
	
	
	角色原地动画 = 动画:new(游戏素材图片,0,200,74,102,0.1,9)
	
	角色跑动动画 = 动画:new(游戏素材图片,0,310,123,90,0.1,8)
	角色攻击动画 = 动画:new(游戏素材图片,0,400,128,110,0.1,10)
	角色回退动画 = 动画:new(游戏素材图片,0,0,165,144,0.13,9)
	攻击特效动画 = 动画:new(游戏素材图片,0,510,192,192,0.1,6)

	角色信息 = {状态 ="原地" ,x=500,y=250}
	本次伤害 = 0
	临时变量 = 0
	置随机数种子()
end
------------------------------------------

function 逻辑更新(dt)
水纹动画:更新(dt)
	if (角色信息.状态 == "原地") then
		角色原地动画:更新(dt)
		elseif(角色信息.状态 == "跑动") then
		角色跑动动画:更新(dt)
		if (角色信息.x > 100) then
			角色信息.x = 角色信息.x- 5
			else
			角色跑动动画:置当前帧(1)
			角色信息.状态 = "普通攻击"
		end
		
	elseif(角色信息.状态 == "普通攻击") then
		角色攻击动画:更新(dt)
		攻击特效动画:更新(dt)
		if (角色攻击动画:取当前帧()== 9) then
			
			角色攻击动画:置当前帧(1)
			攻击特效动画:播放()
			置随机数种子()
			本次伤害 = 取随机数(1,100)
			角色信息.状态 = "回退"
		end
		
		elseif(角色信息.状态 == "回退") then
		
		角色回退动画:更新(dt)
		
		if (角色信息.x < 500) then
			角色信息.x = 角色信息.x + 9
			else
			角色回退动画:置当前帧(1)
			角色信息.状态 = "原地"
		end
	end
	
end
------------------------------------------

function 画面显示()
水纹动画:显示(0,150,0,2,1)
背景精灵:显示()
怪物精灵:显示(50,250)

	if(角色信息.状态 == "原地") then
		角色原地动画:显示(角色信息.x,角色信息.y)
	elseif(角色信息.状态 == "跑动") then
		角色跑动动画:显示(角色信息.x,角色信息.y)
	elseif(角色信息.状态 == "普通攻击") then
		角色攻击动画:显示(角色信息.x,角色信息.y-15)
		攻击特效动画:显示(角色信息.x - 70,角色信息.y - 70)
	elseif(角色信息.状态 == "回退") then
		角色回退动画:显示(角色信息.x,角色信息.y-45)
	end
	
	置颜色(0,0,0,255)
	if(本次伤害  ~= 0) then
		画文本("本次伤害 "..本次伤害,50,100)		
	else
		画文本("按下空格键发起攻击",50,100)	
	end
	置颜色(255,255,255,255)
end
------------------------------------------

function 键盘按下(key)
	if (key==" ") then
		角色信息.状态 = "跑动"
	end
end
------------------------------------------

function 键盘放开(key)
	if key == "escape" then 事件停止() end
end
------------------------------------------

function 鼠标按下(x,y,button)
	
end
------------------------------------------

function 鼠标放开(x,y,button)
	
end
------------------------------------------

function 鼠标移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 鼠标滚轮移动(x,y,xrel,yrel)
	
end
------------------------------------------

function 窗口尺寸变化(w,h)
		
end
------------------------------------------

function 窗口获得焦点(f)
		
end
------------------------------------------

function 窗口鼠标进入(f)
		
end
------------------------------------------

function 窗口可视状态(v)
		
end
------------------------------------------

function 线程错误消息(thread,errorstr)
		
end
------------------------------------------

function 拖放得到目录(dir)

end
------------------------------------------

function 拖放得到文件(f)

end
------------------------------------------